CHIARIMENTI SUI CAMBIAMENTI con stalla Deepin 15.10 (Edited)

CHIARIMENTO: Este l'articolo è stato modificato dalla sua versione originale a causa di cambiamenti aggiornamento a Deepin 15.10.1.

Deepines 3.0 è stato aggiornato alla versione 3.1 a causa di cambiamenti nella Deepin 15.10.1, Se hai già 2.0 installato non hanno bisogno di rimuovere,l'aggiornamento alla versione più recente di Deepines 3.1, è sufficiente digitare il seguente comando nel terminale:

sudo apt update && sudo apt full-upgrade

Aggiornato 18 Maggio 2019 13:15 UTC: Nelle parole del nostro amato collaboratore Hugo Florentino:

"I cinesi, nella loro saggezza antica infinita, deciso che era una buona idea dare un nome come" stabile "versione anche deepin basata su Debian unstable, e tra l'altro mettere lo stesso numero di versione."

Abbiamo riferito che l'aggiornamento a deepin 15.10.1 senza alcuna installazione da zero con la versione ISO 15.10, eseguendo il parametro di comando lsb_release -a ottenuto in Codename: stabile. Stiamo rivedendo i dati, attualmente prevedono che il window manager e il kernel non sono cambiate, per cui v'è stato un cambiamento sulla base effettiva stabile instabile in questo momento. Stiamo anche lavorando sul programma di installazione Deepines repository 3.0 per evitare problemi con base instabile. Se non è stato installato da zero con ISO Deepin 15.10 o 15.10.1, si consiglia di non installare Deepines 3.0 per evitare che il sistema da rompere. Ulteriori dispiace questo sta causando confusione e nelle prossime ore sarà l'aggiornamento delle informazioni.

Aggiornato 18 Maggio 2019 21:01 UTC: E abbiamo esaminato in dettaglio le modifiche apportate instabile Deepin durante l'aggiornamento da 15.10 a 15.10.1. Siamo in grado di garantire che la base rimane Debian SID 9 (instabile), il kernel non è stato aggiornato e continua con la versione 4.15.0-29deepin-generic non cambiare il window manager, rimane Mutter (DeepinGala), anche se l'uscita di -a lsb_release il rapporto come "stabile".



Articolo originale

Costruire un sistema di computer ha molte somiglianze con la costruzione di edifici. Sono costruiti in sezioni o moduli, è possibile fare spazio per costruire di più in futuro e, soprattutto, è necessario apportare modifiche e miglioramenti nel corso del tempo, come una sorta di rimodellamento.

Nel caso dei sistemi operativi GNU / Linux, in caso di nuove funzionalità è incorporata o apportare modifiche, è necessario cercare di assicurarsi che funzionino perfettamente. Questi test richiedono tempo. Poi gli sviluppatori (costruttori) hanno versioni di ben collaudato sistema, ma più vecchio e versioni più recenti, ma sono ancora in fase di test e continuano a trovare problemi risolti al volo.

Le vecchie versioni ben collaudato e ben funzionanti sono chiamati stabili e subiscono le versioni piccolo cambiamento che funzionano molto bene. Le versioni più recenti, che sono ancora in fase di test ed è ancora in lavorazione sono chiamati versioni instabili perché essi sono sottoposti a frequenti cambiamenti.

Deepin si basa su altre distribuzioni, Debian, che ha una stabile e instabile un'altra versione. Precedente a Deepin 15.10 Deepin si è basata su Debian unstable, ma questo ha portato svantaggi derivanti dai continui cambiamenti e gli errori non ancora rilevati.

Deepin Da 15.10 in poi, Deepin si basa su Debian stable, questo rende il sistema ha molti meno errori, il lavoro e si comportano in modo più uniforme nel tempo e non essere in continua evoluzione.

Con una base instabile, gli sviluppatori deepin dovrebbero essere riesaminate molto spesso i nuovi cambiamenti e adattare il sistema alle variazioni di base, questo è molto faticoso e consumano molte risorse e ore di lavoro.

Con una base stabile, gli sviluppatori dovrebbero rivedere un minor numero di volte cambia la base, che dà loro il tempo di sviluppare il sistema con più calma e di qualità superiore.

Deepin instabile stabile beta stabile Deepin e Deepin

C'era una notevole confusione quando ha cominciato a parlare su una versione beta stabile Deepin, ma poi chiarire.

Debian unstable Deepin +=Deepin instabile
Deepin + Debian stable=stabile Deepin

Abbiamo spiegato gli svantaggi di usare una base instabile e per questo motivo gli sviluppatori hanno cominciato migrare una base instabile per stabili, hanno fatto un processo parallelo potrà essere meglio compresa con la seguente sequenza temporale.

Linea de tiempo de Deepin estable

Deepin in principio usato come base di Ubuntu, ma che non include la linea temporale per essere "vecchio" storia. Poi ha continuato a usare come base instabile di Debian è stata la versione che noi tutti sapevamo e abbiamo usato negli ultimi anni, abbiamo utilizzato instabile Deepin, ma dal momento che non vi era alcuna altra versione, non c'era necessità di differenziare o dichiarare qualsiasi altra cosa, così è stato chiamato Deepin ad asciugare.

Quando la versione 15.9.2 è stato rilasciato, gli sviluppatori hanno preso l'ambiente Deepin e montati su Debian stable, dando così vita ad una nuova versione, stabile Deepin, allora era necessario dichiarare Deepin stabile e instabile per differenziare Deepin.

Non è stato un piccolo cambiamento, al contrario, operano a Deepin su Debian stable richiesto molti cambiamenti e aggiustamenti, che non erano stati testati, quindi la nuova versione con base stabile dovrebbe essere dichiarato anche come versione beta, in modo che il nome deepin stabile 15.9.2 Beta, perché non ero pronto per il grande pubblico di indossarlo.

Il continuo sviluppo parallelo di instabile e stabile Deepin, sviluppando versione 15.9.3 e 15.10 della versione instabile, preparazioni continua a registrare stabile Deepin 15.10.

Al momento della pubblicazione Deepin 15.10, il suo ambiente è stato in grado di funzionare sia base stabile e instabile, ma le basi sono abbastanza diversi per non permettere il cambiamento base instabile stabile attraverso un processo di ristrutturazione, quindi è necessario effettuare un'installazione pulita di passare dalla instabile alla base stabile. Considerando gli utenti, Deepin dalla Cina continuerà a fornire aggiornamenti fino a luglio 2019, dando possibilità per programmare e fare ripristini con calma.

Dovrò passare subito alla stalla Deepin o speranza?

15.10 Deepin ancora stabile è un territorio che non è completamente esplorato, la prima di installare stabile Deepin 15.10 sarà una sorta di pioniere e pionieri trovano sempre problemi imprevisti saranno risolti. Nella nuova versione ci sono cose da lucidare, molte versioni di software sono più vecchi rispetto a instabile, per cui alcune applicazioni installate da fonti esterne possono essere scomodo da installare.

Che cosa viene installato nella distribuzione e ciò che può essere installato nel lavoro negozio perfettamente, la maggior parte dei problemi incontrati sono particolari di adattamento o di installare applicazioni che non fanno parte della distribuzione, cioè, che vengono scaricati manualmente o hanno bisogno di repository supplementare.

Per quanto riguarda le applicazioni Flatpak e funzionare come al solito scatto.

In breve, se si desidera installare pulita, ogni dettaglio il lavoro esattamente come hanno fatto finora e non ottiene per risolvere praticamente qualsiasi cosa meglio aspettare un paio di settimane per gli altri hanno già lavorato sui dettagli, ma se avete il coraggio e il tempo per essere pioniere, nessun problema, così sia.

Ancora una volta ricordiamo che ha tempo fino al luglio 2019 per fare un'installazione pulita con ISO 15.10 Deepin stabile.

Come identificare se si dispone di base stabile o instabile?

Abbiamo pubblicato un nuovo articolo che mostra come identificare l'esatta versione del sistema che si sta utilizzando uno strumento creato dal nostro amico Hugo FlorentinoÈ possibile leggere l'articolo di cui sopra tu qui.

Deepines repository

Il repository Deepines ha anche dovuto adattarsi alla nuova base stabile, di conseguenza è stato presentato Deepines 3.0, questa versione supporta solo stabile Deepin 15.10 e superiori.

È possibile trovare le istruzioni per l'installazione Deepines 3.0 sul seguente link - deepinenespañol.org / presenti-nostri-repository-deepines-3-0.

Purtroppo Deepines repository instabile per Deepin smette di funzionare, mantiene questo perché consumano le limitate risorse di tempo e fatica dei volontari che lo mantengono, e ha deciso di concentrare le risorse nel nuovo repository. Ciò significa che non è più possibile installare applicazioni Deepines Deepin instabile, ma ciò che è stato installato si continuerà senza intoppi.

Se qualcuno cerca di installare Deepines 3,0 instabile Deepin o qualsiasi altra distribuzione diversa da stable Deepin, l'installazione non riuscirà. L'installatore rileva se Deepin 15.10 è stabile o superiore, in caso contrario, viene visualizzato un messaggio di errore e non è installato. Questo è per ragioni di sicurezza, per evitare danni al sistema (per rompere il sistema). Qui ci sono tutti i messaggi di errore per i metodi di installazione più comuni.

installazione Deepin Package Manager

Messaggio di errore durante l'installazione di Deepines 3.0 Deepin instabile Deepin con Package Manager


Particolare messaggio di errore durante l'installazione di Deepines 3.0 Deepin instabile Deepin con Package Manager


installazione GDebi


Messaggio di errore durante l'installazione di Deepines 3.0 Deepin con GDebi instabile.



Errore durante l'installazione dettaglio Deepines 3.0 Deepin con GDebi instabile.


comando per l'installazione DPKG


Messaggio di errore durante l'installazione di Deepines 3.0 Deepin instabili con dpkg -i comando



Dettagli errore durante l'installazione di Deepines instabili 3.0 Deepin con dpkg -i comando



Se si dispone di instabilità Deepin suggeriamo di disinstallare Deepines 2.0 per evitare disagi. Attenersi alla seguente procedura:

Eseguire in un terminale il seguente comando.

sudo apt purge deepines-repository

Se la password viene richiesta, il tipo e premere il tasto INVIO. E 'normale se la password non viene visualizzato nulla.

Quando viene chiesto di continuare a premere il tasto ENTER.

procedura facoltativa

Una procedura facoltativa per garantire rimuovere ogni traccia di Deepines 2.0 dopo una disinstallazione normale è la seguente:

1- Scarica il seguente copione e salvarlo sul desktop.

Icon

Disinstallazione per Deepines 2.0

Informazioni sul download ...

0.48 KB 21 download

2- Verificare che il file eliminar-deepines-2.0.sh è Desktop.

3- Ridurre al minimo tutte le finestre per visualizzare il desktop.

4- Pulsante destro del mouse in un punto vuoto del desktop e quindi fare clic su l'opzione per aprire il terminale.

5- Eseguire il comando

sudo sh eliminar-deepines-2.0.sh

Speriamo che questo articolo aiuta la comunità per essere chiari circa il nuovo paesaggio dopo la pubblicazione del 15.10 Deepin stabile, perché è necessario installare da zero e Deppines modifiche al repository.

CHIARIMENTO: Stiamo studiando nuovi report che, apparentemente, modificare le informazioni contenute in questo articolo, si prega di vedere più avanti per chiarimenti e rettifiche alla pubblicazione. ESAMINI PREGO BUTT DI QUESTO ARTICOLO PER LE INFORMAZIONI ULTIMO diventa disponibile.

*Un ringraziamento speciale a Hugo Florentino,Jose Fenoll e Opik O per il loro aiuto nel rivedere e correggere questo articolo.

19
Cosa ne pensi?

Si prega entrare per commentare
11 discussioni commento
8 filetto risposte
0 Seguito
 
Commento con più reazioni
filo Highly Commended
12 Autori commenti
XOdeinorfeoMartinV56Luis Vicente Castillo CorbellaNicolas Smiriglia Gli autori delle più recenti commenti
abbonarsi
PIÙ NUOVA il più vecchio I più popolari
Relazione
Roddivi
Membro

Ciao !!. Per quanto mi riguarda io uso il sistema molto semplice. Il mio PC piuttosto vecchi e altri distretti hanno difficoltà a 3s miei piloti. Tuttavia, con Deepin tutto va alla perfezione, basta installare l'aggiornamento di ieri e non mi manca nulla, almeno per l'automazione d'ufficio e gli utenti desktop...Per saperne di più »

Eli
editore

eccellente articolo Isaías Gätjens MIsa Gätjens M, Ben spiegato e informativo per tutti, grazie.

Oscar Interliggi
Membro

Ho installato sul mio Vaio FiT 15S, e funziona alla grande.

Jare GM
Membro

Utilizzare sistemi basati su GNU / Linux a partire dal 2002, e dal 2016, tra le altre distribuzioni, io uso Deepin basata su Debian. Per me è buona decisione notizia di costruire sul ramo stabile di Debian. In questo momento la versione stabile è la 9.9 (Stretch), ma con Debian 10.0 (Buster) sotto...Per saperne di più »

Aridany Ypunto
Membro

Beh, ero tra coloro che hanno avuto problemi con Deepin ed ero sul punto di gettare la spugna e la verità è che non sto avendo lo stesso problema con 15.10 dita incrociate che da sempre si è conclusa nel reinstallazione tutto quello che ho fatto per ripristinare il sistema. Ho notato che più solido. finora...Per saperne di più »

José Luis Berg
Membro

Ciao, devo reinstallare l'ieri e l'unico problema è stato mi è stato presentato con VirtualBox e le sue estensioni dato che non mi permetta di installarlo dall'applicazione, ma potrebbe essere installato in altri aspetti ancora non ha rilevato problemi. La mia macchina è una serie t Lenovo.
Saluti.

Nicolas Smiriglia
Membro

Una domanda. Quando alla fine dovrebbe essere necessari 10 Deepin aggiornare di nuovo l'intero sistema da zero?

Eli
editore

Ciao Nicolas Smiriglia se si intende se è necessario ancora una volta re-installare il sistema da zero a causa di un cambiamento radicale della base come è avvenuto in questo caso, la risposta che vorrei dire è: No, se io credo che lei descrive sarà un'evoluzione base invece di un cambiamento all'altro...Per saperne di più »

Nicolas Smiriglia
Membro

Grazie per aver reso questo articolo in modo chiaro e rispondere alle domande che abbiamo così rapidamente

Luis Vicente Castillo Corbella
Membro

Asciugò cambiando il gestore di finestre e fare il cambiamento completo non è possibile ridimensionare le finestre, impostare la propria posizione sullo schermo, se si cambia kwin dovrebbe fare bene mettendo il controllo completo non redimencionan il mouse, che è di base.

 

MartinV56
Membro

Dee si rivolse ai miei distribuzioni preferite, Arch Linux o Debian 9 Ciao Deepin, comunque apprezzo e ringrazio Deepin il loro prezioso contributo in spagnolo, vi ringrazio molto.

orfeo
Membro

Ciao. Ho installato il .iso Deepin 15.10.1 rispetto alla versione precedente e finora tutto è andato bene ... Ora ho una base stabile.
Grazie per tutte le informazioni.

XOdein
Membro

No, non è necessario eseguire l'aggiornamento da zero ad avere stabile anche se Deepin dice di avere stabile, si tratta di un bug. Non si smette tua Deepin ricevere gli aggiornamenti in pochi mesi.

orfeo
Membro

Come si chiama l'aggiornamento da zero? Ho installato da zero appena scaricato la versione 15.10.1, sulla stessa partizione dove in precedenza aveva versione 15.09
Non è che un aggiornamento da zero?

Luis Vicente Castillo Corbella
Membro

Ma che Logico 0 no. Poiché il programma di installazione elimina la partizione prima di installare o è 0 assoluto.